#
# spec file for package xcb-util-renderutil
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           xcb-util-renderutil
%define lname	libxcb-render-util0
Version:        0.3.10
Release:        1.6
Summary:        XCB utility module for the Render extension
License:        MIT
Group:          Development/Libraries/C and C++
URL:            http://xcb.freedesktop.org/

#Git-Clone:	git://anongit.freedesktop.org/xcb/util-renderutil
#Git-Web:	http://cgit.freedesktop.org/xcb/util-renderutil/
Source:         %name-%version.tar.xz
Source1:        baselibs.conf
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
#git#BuildRequires:	autoconf >= 2.59c, automake, libtool
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(xcb) >= 1.4
BuildRequires:  pkgconfig(xcb-proto) >= 1.6
BuildRequires:  pkgconfig(xcb-render)
BuildRequires:  pkgconfig(xorg-macros) >= 1.6.0

%description
The XCB util modules provide a number of libraries which sit on top
of libxcb, the core X protocol library, and some of the extension
libraries.

Included in this package is:

- renderutil: Convenience functions for the Render extension.

%package -n %lname
Summary:        XCB utility module for the Render extension
Group:          System/Libraries

%description -n %lname
The XCB util modules provide a number of libraries which sit on top
of libxcb, the core X protocol library, and some of the extension
libraries.

Included in this package is:

- renderutil: Convenience functions for the Render extension.

%package devel
Summary:        Development files for the XCB Render utility module
Group:          Development/Libraries/C and C++
Requires:       %lname = %version

%description devel
The XCB util modules provide a number of libraries which sit on top
of libxcb, the core X protocol library, and some of the extension
libraries.

This package contains the development headers for the library found
in %lname.

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
make install DESTDIR="%buildroot"
rm -f "%buildroot/%_libdir"/*.la

%post -n %lname -p /sbin/ldconfig

%postun -n %lname -p /sbin/ldconfig

%files -n %lname
%defattr(-,root,root)
%_libdir/libxcb-render-util.so.0*

%files devel
%defattr(-,root,root)
%_includedir/xcb
%_libdir/libxcb-render-util.so
%_libdir/pkgconfig/xcb-renderutil.pc

%changelog
* Wed Oct 19 2022 Stefan Dirsch <sndirsch@suse.com>
- marked baselibs.conf as source in specfile
* Wed Oct 19 2022 Stefan Dirsch <sndirsch@suse.com>
- Update to release 0.3.10
  * Update README for gitlab migration
  * Update configure.ac bug URL for gitlab migration
  * Update m4 to xorg/util/xcb-util-m4@c617eee22ae5c285e79e81
  * gitlab CI: add a basic build test
  * configure: Drop AM_MAINTAINER_MODE
  * autogen.sh: Honor NOCONFIGURE=1
  * autogen.sh: use quoted string variables
  * autogen: add default patch prefix
  * autogen.sh: use exec instead of waiting for configure to finish
* Mon Jun 16 2014 sndirsch@suse.com
- update to release 0.3.9
  * Mark DEPTH_MASK as Unsigned int
  * Add autogen.sh to EXTRA_DIST.
  * Follow changes in m4 submodule.
  * config: add bug URL to AC_INIT
  * config: replace deprecated use of AC_OUTPUT with AC_CONFIG_FILES
  * config: use AC_CONFIG_HEADERS to create a config.h file
  * config: remove old dead code for documentation
  * config: add missing COPYING file
  * make: use AM_CPPFLAGS rather than per-target libxcb_render_util_la_CPPFLAGS
  * make: using EXTRA_DIST for xcb-renderutil.pc.in is redundant
  * make: there should be no attempt to remove any Makefile.in file
  * make: compile the library with standard xorg warning flags
  * Fix compilation and linking issues with C++
  * Check submodules before running autoconf.
* Sun Feb 17 2013 jengelh@inai.de
- Use more robust make install call
* Wed Mar 21 2012 jengelh@medozas.de
- Initial package for build.opensuse.org
